For all issues regarding the Forums use, please, refer to the Forum Rules.

Our Solutions

Need professional assistance?
Consider our:

Support Offerings

 

Need to speed up your development?
Have a look at our:

Samples & Tools

 

Need some functionality extending standard OCCT capabilities?
Check out our:

Adv. Components

spherical shape

hero's picture
Forums: 

Hay there ...

Can anybody provide me a code to create sphere from center point coordinates (X,Y,Z) and its Radius ???? kindly along with required Header file plz ????

Thanx in Advance

Regards

jelle's picture

Sure, send me your homework too ;)
You're looking for the BRepPrimAPI_MakeSphere class:

ipdb> BRepPrimAPI_MakeSphere(gp_Pnt(), 1).Shape()
>

-jelle

hero's picture

Dear Jelle

I could not understand your post ........
and do you need my homework ????

Regards